Index: libopkg/opkg_download.c
===================================================================
--- libopkg/opkg_download.c	(revision 4837)
+++ libopkg/opkg_download.c	(working copy)
@@ -292,8 +292,12 @@
 
     if (err)
 	return -1;
-
-    sprintf_alloc(&trusted_path, "%s/%s", conf->offline_root, "/etc/opkg/trusted.gpg");
+    
+    if (conf->offline_root != NULL) {
+      sprintf_alloc(&trusted_path, "%s/%s", conf->offline_root, "/etc/opkg/trusted.gpg");
+    } else {
+      sprintf_alloc(&trusted_path, "%s", "/etc/opkg/trusted.gpg");
+    }
     err = gpgme_data_new_from_file (&key, trusted_path, 1); 
     free (trusted_path);
     if (err)
